## click-reviewers-tools 0.5build1

=== debian/changelog ===
click-reviewers-tools (0.5build1) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 15:28:00 +0000

click-reviewers-tools (0.5) trusty; urgency=medium

  [ Jamie Strandboge ]
  * mock self.supported_policy_versions
  * support multiple frameworks on system in security tests
  * add/update tests for multiple frameworks in security tests

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 27 Feb 2014 15:30:51 +0100

click-reviewers-tools (0.4) trusty; urgency=medium

  [ Daniel Holbach ]
  * Check for broken icon paths in .desktop files. (LP: #1257429)
  * Add initial set of askubuntu answers.
  * Add ubuntu-html5-app-launcher to expected_execs.

  [ Jamie Strandboge ]
  * Documented and clarified the use of the scripts.
  * Fix crash in __del__. (LP: #1282652)
  * Add webapp-container tests.
  * Document bzr hook to run tests.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 22 Jan 2014 17:59:26 +0100

click-reviewers-tools (0.3) trusty; urgency=medium

  * d/compat: bump to 9.
  * d/control: 
    - bump Standards-Version, 
    - drop X-Python-Version, we have X-Python3-Version,
    - programmatical -> programmatic
  * d/copyright: fix license mistake (GPL-3+ vs. GPL-3)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 22 Jan 2014 17:38:47 +0100

click-reviewers-tools (0.2) trusty; urgency=low

  * Initial release (LP: #1230248)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 25 Sep 2013 14:32:32 +0200
