## click-reviewers-tools 0.23

=== debian/changelog ===
click-reviewers-tools (0.23) vivid; urgency=medium

  * fix pep8 warning when building on trusty

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 09 Mar 2015 15:42:08 -0500

click-reviewers-tools (0.22) vivid; urgency=medium

  [ Alexandre Abreu ]
  * Relax the rule that states that webapps with a model search path shouldn't
    have url patterns listed in the command line. In order to avoid confusion,
    we allow this to happen (and it already works fine the command line
    patterns being appended to the locally defined ones). (LP: #1406643)

  [ Jamie Strandboge ]
  * add testsuite test to verify apparmor-profile can't be specified with
    apparmor
  * add apparmor-profile hook tests
  * fix test_check_optional_domain_suffix_without_protocol2() to actually test
    with 'nonexistent' key
  * debian/control:
    - add python3-yaml to Build-Depends and Depends
    - update Vcs-Bzr to point to lp:click-reviewers-tools
  * add snappy-systemd hook tests and update the testsuite accordingly
  * apparmor-profile hook may be used anywhere apparmor can be, but not with
    apparmor itself (apparmor-profile is still redflagged)
  * implement snappy package.yaml lint tests
  * implement snappy package.yaml services tests
  * implement snappy readme.md lint tests
  * implement snappy package.yaml binaries tests
  * one more snappy workaround for check_package_filename()

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 09 Mar 2015 15:08:44 -0500

click-reviewers-tools (0.21) vivid; urgency=medium

  [ Pete Woods ]
  * Add childscopes field to recognised list.
  * Add documentation link of the scope config files:
    CONFIGFILES in lp:unity-scopes-api.

  [ Michael Vogt ]
  * snappy: add two new optional fields: source, type.

  [ Jamie Strandboge ]
  * also use ubuntu-devel-discuss@lists.ubuntu.com to signify a core-app
  * calculate arch correctly in check_package_filename()
  * add ubuntu-core-15.04 to self.major_framework_policy
  * add checks for self.major_framework_policy to policy_vendor checks
  * bin-path should no longer require snappy-systemd hook
  * warn, don't error, on 'Could not find compiled binaries for architecture'
    since it might be ok to, for example, ship a shell script but you only
    want it on ARM devices
  * apparmor-profile is an allowed hook, but a redflagged one
  * don't error that apparmor is missing if apparmor-profile is present

  [ Daniel Holbach ]
  * Deal with multi-arch clicks properly. (LP: #1395204)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 03 Mar 2015 14:17:13 +0100

click-reviewers-tools (0.20) vivid; urgency=medium

  [ Martin Albisetti ]
  * Remove checks that validate namespaces and email addresses, those are
    better suited for the store, which knows the information about the
    uploading user. (LP: #1408644)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 14 Jan 2015 12:12:25 +0100

click-reviewers-tools (0.19) vivid; urgency=medium

  [ Ricardo Kirkner ]
  * fetch framework data before running framework related checks
  * use mtime instead of ctime to check remote file freshness
  * allow specifying overrides for framework checks
  * handle case when overrides data is malformed

  [ Alexandre Abreu ]
  * add support for local html5 app launch mode for webapp-container
    (LP: #1388988)

  [ Jamie Strandboge ]
  * open scopes .ini file as utf8 (LP: #1371692)
  * allow for translatable fields in the scopes .ini file (LP: #1392133)
  * don't require desktop hook with systemd or framework
  * com.ubuntu.snappy can use ubuntu-devel-discuss@lists.ubuntu.com
    (LP: #1395007)
  * add bin-path click hook checks and tests (LP: #1395001)
  * add preliminary framework hook checks and tests (LP: #1395004)
  * refactor hooks checks into parent class (LP: #1395005)
  * sort click-review results in print_findings
  * add preliminary systemd hook checks and tests
  * update apparmor policy json and adjust security checks to properly handle
    different policy vendors
  * update data/apparmor-easyprof-ubuntu.json for 1.3
  * don't warn if specifying 'default' with ubuntu-snappy vendor
  * systemd hook renamed to snappy-systemd
  * allow filenames to end with .snap
  * allow flat namesapces in check_maintainer_email()

  [ Daniel Holbach ]
  * Add askubuntu explanation for policy_version_is_highest.
  * Add askubuntu explanation for debug builds. (LP: #1390163)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 16 Dec 2014 17:07:36 +0100

click-reviewers-tools (0.18) utopic; urgency=medium

  * Let setup.py handle non-ascii characters in d/changelog.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 15 Oct 2014 10:32:57 +0200

click-reviewers-tools (0.17) utopic; urgency=medium

  * webapps may use content_exchange_source (LP: #1380694)
  * online accounts shouldn't specify id and should warn when they do.
    (LP: #1380534)
  * click-show-files: cleanup unpack directory at end

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 14 Oct 2014 11:35:43 -0500

click-reviewers-tools (0.16) utopic; urgency=medium

  * add i386 and amd64 to self.valid_control_architectures

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 09 Oct 2014 09:02:55 -0500

click-reviewers-tools (0.15) utopic; urgency=medium

  * don't error in check_application() if no scope or desktop hook when pay-ui
    hook is present
  * updates for push security checks:
    - apps may specify push-notification-client
    - push-helpers must use the new 'ubuntu-push-helper' template

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 08 Oct 2014 15:15:53 -0500

click-reviewers-tools (0.14) utopic; urgency=medium

  * don't error when account-provider and account-qml-plugin does not also
    have apparmor policy. There is no policy for these yet so the errors
    are confusing
  * add Makefile for some convenience functions
  * reuse the unpacked click dir

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 02 Oct 2014 15:15:58 -0500

click-reviewers-tools (0.13) utopic; urgency=medium


