=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	rm -rf build *.egg-info .pybuild
 	find -name \*.pyc -print0 | xargs -0r rm -f
 	find -name __pycache__ -print0 | xargs -0r rm -rf
-
+	-$(shell python3 ./bin/update-apparmor-policy ./data/apparmor-easyprof-ubuntu.json)
 
 override_dh_auto_build:
 	dh_auto_build
@@ -42,4 +42,5 @@
 	set -ex; for python in $(PY3); do \
 		$$python setup.py test; \
 	done
+	./run-pep8
 endif
