## click-reviewers-tools 0.25.1

=== debian/changelog ===
click-reviewers-tools (0.25.1) vivid; urgency=medium

  * Fix 'Invalid framework "ubuntu-sdk-15.04"' error.
    Change is already in wily and corresponds to r453 in
    clickreviews/cr_security.py. (LP: #1449368)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 05 May 2015 18:07:42 +0200

click-reviewers-tools (0.25) vivid; urgency=medium

  [ Michael Vogt ]
  * Fixed a number of issues raised by pyflakes.

  [ Ricardo Kirkner ]
  * support overrides in all click-check scripts
  * refactored click checks to avoid duplication
  * handle checks from branch as well as installed system-wide when running
    all checks

  [ Jamie Strandboge ]
  * update bin-path tests for new binaries yaml
  * 'oem' is a valid type
  * handle missing 'hooks' in manifest with oem snaps (LP: #1434279)
  * cr_common.py: add config, immutable-config and oem in support of oem snaps
  * obsolete framework click hook and meta/*.framework
  * don't allow 'type: framework' to specify 'frameworks'
  * fix click-show-files with native snaps
  * click-show-files should show package.yaml
  * add framework policy checks
  * update systemd tests to check package.yaml
  * .strip() whitespace in control_description_match
  * check_package_filename() store downloads packages with _all instead of
    _multi. Account for that. We may want to remove this check entirely.
  * cr_security.py: adjust for ubuntu-core/15.04 policy changes
  * cr_security.py: policy_vendor is no longer redflagged
  * cr_lint.py: don't strip 'all' from compat architecture list on snappy
  * cr_lint.py: don't review unused control['Architecture'] on snappy

  [ Fabian Ezequiel Gallina ]
  * fix missing import on clickreviews/cr_framework.py
  * add test for non-string framework

  [ Alex Abreu ]
  * fix webapp exec with no homepage url or with exec field code (LP:
    #1441185)

  [ James Westby ]
  * Drop the checks on the package name in the filename.
    The filename doesn't matter, and the store generates it anyway,
    so checking it is a waste, and keeps breaking as we change the
    rules.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 20 Apr 2015 17:26:18 +0200
