## click-reviewers-tools 0.28

=== debian/changelog ===
click-reviewers-tools (0.28) wily; urgency=medium

  [ Jamie Strandboge ]
  * Makefile: perform run-pyflakes in check target
  * cr_systemd.py: add bus-name checks and update testsuite
  * add security yaml checks
  * cr_lint.py: don't allow same key in 'binaries' and 'services'
  * cr_lint.py: implement hashes.yaml checks
  * update README
  * cr_desktop.py: add check to help transition away from obsoleted
    ubuntu-html5-app-launcher
  * cr_common.py: remove snappy 'integration' checks
  * cr_systemd.py: implement ports checks
  * cr_systemd.py, cr_bin_path.py: error out if services or binaries is empty,
    repectively
  * cr_lint.py: update pkgname checks for snaps-- shouldn't have '.' in the
    name
  * cr_lint.py: add snappy-config checks
  * cr_lint.py: maintainer isn't needed in compat click manifest for snaps
    that don't specify vendor
  * debian/control: Depends on binutils (for 'ar')

  [ Marcus Tomlinson ]
  * cr_scope.py: add "keywords" to the list of optional scope .ini keys

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 10 Jun 2015 16:07:33 -0500

click-reviewers-tools (0.27) wily; urgency=medium

  * cr_security.py: add ubuntu-sdk-15.04 framework and policy version
    (LP: #1449368)

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 01 May 2015 10:46:57 -0500

click-reviewers-tools (0.26) vivid; urgency=medium

  [ Jamie Strandboge ]
  * adjust tests for new format for systemd stop-timeout
  * add network-service and network-client policygroups for 15.04 policy
  * require existence of hashes.yaml for snaps. More checks coming
  * skip security yaml checks in bin-path and systemd checks
  * cr_security.py: handle multiple frameworks in compat manifest
  * cr_lint.py: handle multiple frameworks with snaps

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 01 May 2015 10:22:06 -0500
