## click-reviewers-tools 0.30

=== debian/changelog ===
click-reviewers-tools (0.30) wily; urgency=medium

  * cr_security.py: verify required and allowed policy groups with the
    ubuntu-account-plugin template (LP: #1468792)
  * cr_systemd.py: whitespace pep8 fixes for trusty to fix FTBFS in SDK
    staging ppa

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 26 Jun 2015 09:27:09 -0500
