## click-reviewers-tools 0.31

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	./run-tests
 
 syntax-check: clean
+	./run-pyflakes
 	./run-pep8
 
 check: test syntax-check
