=== debian/control ===
--- 
+++ 
@@ -22,7 +22,8 @@
 
 Package: click-reviewers-tools
 Architecture: all
-Depends: python3-apt,
+Depends: binutils,
+         python3-apt,
          python3-debian,
          python3-lxml,
          python3-magic,
