## click-reviewers-tools 0.32

=== debian/changelog ===
click-reviewers-tools (0.32) wily; urgency=medium

  * data/apparmor-easyprof-ubuntu.json: add "keep-display-on" to ubuntu
    common policy
  * cr_security.py:
    - webapps may use "keep-display-on"
    - error if security-policy specified in snaps
  * cr_lint.py:
    - give link to frameworks guide if framework specified
    - do not error if apparmor-profile specified with snap (handled by above
      change)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 09 Jul 2015 08:57:26 -0500
