=== debian/changelog ===
click-reviewers-tools (0.33) wily; urgency=medium

  [ Alberto Mardegan ]
  * clickreviews/cr_online_accounts.py: Do not check for "type" element in OA
    .service files
  * clickreviews/cr_online_accounts.py: Support the new "accounts" hook

  [ Jamie Strandboge ]
  * clickreviews/cr_common.py: add peer_hooks_link to __init__ and use it
    as the link for missing and disallowed hooks
  * clickreviews/cr_online_accounts.py: set peer_hooks_link to use
    https://wiki.ubuntu.com/SecurityTeam/Specifications/OnlineAccountsConfinement
  * clickreviews/tests/test_cr_online_accounts.py: don't stub or check for
    "type" element in OA .service files
  * Makefile: make sure check-names.list is up to date via 'make check'

  [ Ricardo Kirkner ]
  * Refactor to abstract check name generation.
    This will be used in a follow up branch to normalize check names in a way
    that allows extracting semantic meaning of check names from review results
    data.
  * build name from review_type, prefix, app and extra parts using : as
    separator
  * list all possible check types by running tests and extracting seen check
    names

  [ Daniel Holbach ]
  * Fix pep8 issues.

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 10 Sep 2015 11:17:00 -0500
