## click-reviewers-tools 0.34

=== debian/changelog ===
click-reviewers-tools (0.34) wily; urgency=medium

  [ Jamie Strandboge ]
  * multiple 'desktop' hooks should only be 'info' these days (LP: #1496402)
  * verify snaps that use 'bus-name' are of 'type: framework'
  * clickreviews/cr_lint.py:
    - snappy package.yaml defaults to 'architectures' and 'architecture' is
      deprecated. Adjust and add a warning for deprecation.
    - arm64 is a valid architecture now
    - don't warn on libc6 libraries with check_external_symlinks
    - don't traceback on broken symlinks when checking for hardcoded paths
      (LP: #1502962)
  * clickreviews/cr_security.py: don't complain about missing AppArmor
    template vars if we detect this is unconfined boilerplate policy

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 09 Oct 2015 17:47:39 -0500
