## click-reviewers-tools 0.35.1

=== debian/changelog ===
click-reviewers-tools (0.35.1) xenial; urgency=medium

  * No change rebuild for newer python3

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 01 Feb 2016 10:07:35 -0600
