=== debian/changelog ===
click-reviewers-tools (0.36) xenial; urgency=medium

  [ Daniel Holbach ]
  * Add check if suspected (using python-magic) compiled binaries
    aren't actually just message catalogs (.mo files) (LP: #1530894).

  [ Martin Albisetti ]
  * add gadget type

  [ Michael Vogt ]
  * Merge partial support for snap.yaml in 16.04

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 01 Feb 2016 11:37:35 -0600
