## click-reviewers-tools 0.37

=== debian/changelog ===
click-reviewers-tools (0.37) xenial; urgency=medium

  [ Jamie Strandboge ]
  * cr_lint.py: 'accounts' hook was added in 15.04.1. The other checks are
    already in place since r553 which missed this addition
  * refactor and make less click-centric such that click and snap v1 tests
    use existing scripts and snap v2 will use new scripts. The cr_* tests have
    16.04 checks removed (since this simplifies them and this code won't be
    run any way)
  * add bin/detect-package and detect_package()
  * rename unpack-click as unpack-package
  * add snap v2 lint checks (LP: #1532842)
  * add snap v2 security checks
  * squashfs snaps no longer require manual review
  * debian/control: bump squashfs-tools to Depends and add to Build-Depends

  [ James Tait ]
  * cr_lint.py: Don't check for the presence of readme.md if the package is a
    squashfs filesystem. Snappy 2.0 uses squashfs as its file format, and
    doesn't require readme.md.

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 22 Feb 2016 16:41:14 -0600
