## click-reviewers-tools 0.38

=== debian/changelog ===
click-reviewers-tools (0.38) xenial; urgency=medium

  * sr_security.py: add check_squashfs_resquash()

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 26 Feb 2016 08:41:28 -0600
