## click-reviewers-tools 0.39

=== debian/changelog ===
click-reviewers-tools (0.39) xenial; urgency=medium

  * bin/click-review:
    - exit 1 if fatal error, 2 if found errors/warnings and 3 if found
      warnings (LP: #1523255)
    - make help output more verbose (including return codes)
    - add overrides as optional positional argument
  * [cs]r_lint.py: change the order of the checks so that an obsolete or
    deprecated in the override takes precedence over 'available'
  * migrate from skills to interfaces (LP: #1549427)
  * sr_security.py:
    - improve requash failure error message
    - short-circuit if squashfs has symlinks (LP: 1555305)
    - os snap is not built with -all-root, ignore checksum mismatch
  * cr_security.py: webapps may now use camera, microphone and connectivity
  * sr_lint.py:
    - adjust for stop -> stop-command and poststop -> post-stop-command
    - make unknown field warning for apps more clear
    - normalize path specified in snap.yaml for command
  * remove type framework, frameworks and bus-name checks since frameworks
    aren't supported on 16.04 (LP: #1557126)
  * debian/control: Build-Depends on pyflakes3 instead of pyflakes

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 22 Mar 2016 10:37:09 -0500
