## click-reviewers-tools 0.40

=== debian/changelog ===
click-reviewers-tools (0.40) xenial; urgency=medium

  * sr_lint.py: ppc64el and s390x are valid architectures
  * add bool-file interface tests
  * remove obsoleted old-security interface checks
  * properly handle app 'plugs' without toplevel 'plugs' (LP: #1569226)
  * implement native plugs and app plugs checks

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 13 Apr 2016 15:19:47 -0500
