## click-reviewers-tools 0.41

=== debian/changelog ===
click-reviewers-tools (0.41) xenial; urgency=medium

  * sr_lint.py: verify key name in the apps dictionary (LP: #1570914)

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 15 Apr 2016 10:24:17 -0500
