## click-reviewers-tools 0.42

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,12 @@
 
 test:
 	./run-tests
+
+coverage:
+	python3 -m coverage run ./run-tests
+
+coverage-report:
+	python3 -m coverage report --show-missing --omit="*skeleton*,*/dist-packages/*"
 
 syntax-check: clean
 	./run-pyflakes
@@ -23,6 +29,7 @@
 
 clean:
 	rm -rf ./clickreviews/__pycache__ ./clickreviews/tests/__pycache__
+	rm -rf ./.coverage
 
 .PHONY: check-names.list
 check-names.list:
