=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Appstore Developers <ubuntu-appstore-developers@lists.launchpad.net>
 Build-Depends: debhelper (>= 9~),
                pep8,
-               pyflakes,
+               pyflakes3,
                python3-all (>= 3.2~),
                python3-apt,
                python3-debian,
