## click-reviewers-tools 0.44

=== debian/changelog ===
click-reviewers-tools (0.44) yakkety; urgency=medium

  [ Jamie Strandboge ]
  * data/apparmor-easyprof-ubuntu.json:
    - add pulseaudio interface
    - add bluetooth policy group for Touch for 15.04 and higher
    - add location-observe and location-control
    - move all core interfaces to 'common'
    - add gsettings interface
    - set home to auto-approve
    - add mpris interface
    - add camera interface
    - add optical-drive interface
    - add serial-port interface
    - add content interface
  * clickreviews/common.py:
    - don't fail on libmvec.so since it comes from libc6 too (LP: #1584346)
    - extend the regex to also match ld-linux-x86-64.so.2
  * sr_common.py:
    - update _verify_pkgname() and _verify_appname() to use the same regex as
      in snapd and various tests
    - update attributes to be slots or plugs side and cleanup code for
      specifying attributes
  * bin/click-review, clickreviews/modules.py: exit '1' if error with
    init_object or running checks
  * sr_lint.py:
    - support 'environment' key in yaml (LP: #1583259)
    - support 'confinement' key in yaml
  * sr_security.py:
    - specifying mpris slot should not warn
    - adjust profile name length checks to use series 16 security label format
  * run_tests: exit non-zero with failures, errors or unexpectedSuccesses
  * cr_lint.py:
    - 'puritine' is a known, but redflagged hook
    - skip external symlinks and md5sums checks for puritine (since we expect
      external symlinks and the hash checks fail on broken symlinks)
    - 'puritine' hook should not be used with 'apparmor'
  * clickreviews/apparmor_policy.py: adjust for rename of store team
    (LP: #1608943)

  [ Celso Providelo ]
  * support for interface abbreviated syntax (LP: #1595184)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 02 Aug 2016 08:23:46 -0500
