## click-reviewers-tools 0.45

=== debian/changelog ===
click-reviewers-tools (0.45) yakkety; urgency=medium

  * data/apparmor-easyprof-ubuntu.json:
    - move all snappy interfaces into 'common' since snapd requires manually
      connecting privileged interfaces
    - refresh for newest interfaces
  * sr_lint.py:
    - don't flag ubuntu-core OS snap for manual review
    - don't flag certain snap names for manual review for particular
      interfaces
    - mark 'confinement' with incorrect snap types as 'info' to workaround
      snapcraft always adding it (safe because snapd ignores it)
    - don't flag pc-kernel, pi2-kernel and dragonboard-kernel for manual
      review
    - 'type: gadget' is valid with 'confinement'
    - add meta/gui/*.desktop checks for Exec=
    - warn if plugging desktop interfaces without specifying and desktop files
    - don't error if find binaries in gadget snaps in check_architecture_all()
  * sr_common.py:
    - content interface 'read' and 'write' are lists, not strings
  * sr_security.py:
    - specifying slots with gadgets should not trigger manual review
    - don't allow 'browser-support' with 'daemon'
    - add file checks from unsquashfs -lls output
  * bin/click-review: show traceback if for runtime errors

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 29 Aug 2016 12:22:17 -0500
