=== debian/rules ===
--- 
+++ 
@@ -43,4 +43,5 @@
 		$$python setup.py test; \
 	done
 	./run-pep8
+	./run-pyflakes
 endif
