## click-reviewers-tools 0.46

=== debian/changelog ===
click-reviewers-tools (0.46) zesty; urgency=medium

  [ Jamie Strandboge ]
  * add snapd interfaces for up to and including snapd 2.24
  * sr_lint.py:
    - don't flag reference, Canonical and accepted vendor kernel and gadgets
    - adjust error text for check_meta_gui_desktop()
    - don't warn when using 'grade' with 'type: os'
    - only check for presence of Exec= in desktop file since there is no
      guarantee that the binary will match a command name
    - add check_hooks() (LP: #1586465)
    - add check_hooks_plugs()
    - add check_assumes() (LP: #1586429)
    - don't flag 'core' os snap for manual review
    - linux-generic-bbb is allowed as a kernel
    - remove interface checks that are now handled by sr_declaration.py
    - powerpc is a valid arch
    - remove check_license_agreement() and check_license_version() since they
      are no longer support (LP: 1605068)
    - support confinement: classic
    - add check_apps_aliases()
    - handle ms, ns and us granularities, integers larger than 60 and fix a
      traceback in stop-timeout error reporting (LP: #1654451)
    - remove unsupported 'daemon: dbus' and add 'daemon: notify'
    - don't allow specifying interfaces with 'confinement: classic'
      (LP: 1655369)
    - add a mechanism to override certain snaps that use a desktop interface
      but don't require a desktop file (LP: #1670162)
    - allow ints and floats as values for env variables
  * sr_security.py:
    - whitelist a few files for Canonical demo snaps
    - add 'core' snap to sec_mode_overrides
    - remove interface checks that are now handled by sr_declaration.py
    - remove policy_vendor and policy_version checks since they don't apply
      to declaration checks
    - allow sticky dirs in the squashfs since some stage-packages ship them
    - allow overriding snaps that can use browser-support with daemon
  * common.py:
    - remove 'application/octet-stream; charset=binary' from
      magic_binary_file_descriptions to reduce false positives in
      _list_all_compiled_binaries() (LP: #1591253)
    - don't traceback in recursive_rm if encounter a directory we cannot read
    - allow snaps to symlink to SNAP and SNAP_DATA in find_external_symlinks()
    - 'icon' is an allowed optional field
    - 'aliases' is allowed as an optional apps field
  * sr_common.py:
    - add 'content' and 'default-provider' as valid attributes
      for the content interface
    - add 'privileged-containers' as valid attribute for docker-support
    - don't read in old apparmor policy or use aa_policy dict and use only
      the base declaration
    - add 'dbus' attributes
    - add in progress unity8 interface
    - adjust _verify_pkgname() for snapd commit 88665e9a
  * add sr_declaration.py:
    - check snap.yaml against base and snap declarations
  * add bin/create-snap-declaration.py
  * cr_common.py: refactor anything that uses aa_policy from common.py
  * bin/click-review:
    - support --plugs and --slots and apply them as snap declaration overrides
    - support --allow-classic and apply it as 'confinement: classic' override
  * setup.cfg: fix deprecation warnings with pep8

  [ Celso Providelo ]
  * sr_lint.py: support 'grade' field in snap-v2 (LP: #1618123)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 28 Mar 2017 20:46:43 +0000
